#
# spec file for package yast2-pam (Version 2.9.13)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp libgpp libxcrypt libxcrypt-devel yast2 yast2-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gcc-c++ gdbm gettext libstdc++-devel libtool libxcrypt-devel liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext popt-devel rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite

Name:         yast2-pam
Version:      2.9.13
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-pam-2.9.13.tar.bz2
prefix:		/usr
Requires:     yast2-core yast2-packager yast2
Provides:     yast2-agent-pam
Obsoletes:    yast2-agent-pam
Provides:     yast2-agent-pam-devel
Obsoletes:    yast2-agent-pam-devel
Summary:      YaST2 - PAM Agent

%description
This agent is used by YaST2 to modify the PAM configuration files



%prep
%setup -n yast2-pam-2.9.13

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/modules/*
%{_libdir}/YaST2/plugin/libpy2ag_pam.so.*
%{_libdir}/YaST2/plugin/libpy2ag_pam.so
%{_libdir}/YaST2/plugin/libpy2ag_pam.la
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_passwd
%doc %{prefix}/share/doc/packages/yast2-pam

%changelog -n yast2-pam
* Thu May 27 2004 - jsuchome@suse.cz
- ag_passwd: read group password (#41300)
- 2.9.13
* Tue May 18 2004 - jsuchome@suse.cz
- ag_passwd can now read and write multiple +/- lines (#40571)
- ag_passwd: do not throw away the comments
- 2.9.12
* Fri Apr 16 2004 - jsuchome@suse.cz
- fix: do not ignore additional user data (#38973)
- 2.9.11
* Fri Apr 02 2004 - jsuchome@suse.cz
- changed license to GPL
- 2.9.10
* Tue Mar 30 2004 - jsuchome@suse.cz
- ag_passwd fix: do not save NIS users to local files (#37508)
- 2.9.9
* Thu Mar 25 2004 - jsuchome@suse.cz
- ag_passwd: check if all parts of shadow line exist during write
  (and set the default values otherwise)
- 2.9.8
* Mon Mar 22 2004 - jsuchome@suse.cz
- use lowecase user/group attribute names
- 2.9.7
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Wed Mar 17 2004 - jsuchome@suse.cz
- fix of writing /etc/security/pam*conf files (#35721)
* Mon Mar 15 2004 - jsuchome@suse.cz
- changed internal key names: "username" -> "uid", "groupname" -> "cn"
- 2.9.6
* Wed Mar 10 2004 - jsuchome@suse.cz
- agent-passwd moved here from yast2-users
- 2.9.5
* Wed Mar 10 2004 - jsuchome@suse.cz
- fixed NFB: yast2-indstalltion no more necessary
- 2.9.4
* Thu Mar 04 2004 - jsuchome@suse.cz
- check ProductFeatures if Autologin is available (#35023)
- 2.9.3
* Mon Mar 01 2004 - jsuchome@suse.cz
- map/list typing
* Mon Mar 01 2004 - jsuchome@suse.cz
- merged texts from proofread
* Tue Feb 03 2004 - jsuchome@suse.cz
- added Autologin::Use function (set 'use' variable from outside)
- 2.9.2
* Mon Jan 26 2004 - msvec@suse.cz
- updated for the new interpreter
- 2.9.1
* Mon Jan 19 2004 - jsrain@suse.de
- merged the new interpreter branch
* Fri Nov 28 2003 - jsuchome@suse.cz
- syntax fixes for new interpreter
* Fri Nov 21 2003 - jsuchome@suse.cz
- yast2-packager required
* Thu Nov 20 2003 - jsuchome@suse.cz
- Autologin.ycp now part of yast2-pam
- 2.9.0
* Thu Nov 13 2003 - msvec@suse.cz
- migrated to doxygen
- 2.8.6
* Thu Aug 21 2003 - jsuchome@suse.cz
- added testsuite
- 2.8.5
* Tue Aug 12 2003 - jsuchome@suse.de
- updated documentation
- 2.8.4
* Mon Aug 04 2003 - jsuchome@suse.de
- \t is also separator in config files (besides space)
* Wed Jul 23 2003 - msvec@suse.cz
- added some fallbacks for SCR access
- 2.8.3
* Wed Jul 16 2003 - jsuchome@suse.de
- added YCP interface for agent (Pam.ycp, PamSettings.ycp) [initial]
- stand-alone agent for configuring /etc/security/*.conf
- 2.8.2
* Mon Nov 25 2002 - msvec@suse.cz
- 2.7.0
* Wed Sep 11 2002 - kukuk@suse.de
- Create temp file after checking if source exists [Bug #19374]
* Mon Jul 29 2002 - kukuk@suse.de
- Change y2milestone to y2debug [Bug #17174]
- Version 2.6.4
* Sat Jul 06 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Tue Jul 02 2002 - msvec@suse.cz
- 2.6.2
* Mon Jun 24 2002 - arvin@suse.de
- renamed from yast2-agent-pam to yast2-pam
* Wed May 15 2002 - arvin@suse.de
- use %%{_libdir} in plugin path
* Mon Apr 08 2002 - kukuk@suse.de
- Merge 8.0-branch with STABLE
- Fix for g++ 3.1
- Version 2.6.0
* Thu Feb 28 2002 - kukuk@suse.de
- Return only boolean value in Write part of the agent [Bug #13965]
* Tue Feb 19 2002 - kukuk@suse.de
- Treat the case correct where the only argument should be removed
- Increase version number to 2.5.3
* Sun Feb 17 2002 - kukuk@suse.de
- Treat missing config files as warning, not error [Bug #13343]
- Increase version number to 2.5.2
* Fri Jan 25 2002 - kukuk@suse.de
- Check always if fopen returns NULL [Bug #12893]
- Add support for /etc/security/pam_pwcheck.conf
- Increase version number to 2.5.1
* Sat Jan 19 2002 - kukuk@suse.de
- Add support for /etc/security/pam_unix2.conf
- Don't remove spaces in comments
- Increase version number to 2.5.0
* Tue Aug 14 2001 - kukuk@suse.de
- Fix order of arguments for rename() call
- restore owner and permissions of config file
* Mon Jul 16 2001 - arvin@suse.de
- fixed to compile with gcc 3.0
* Sat Jul 14 2001 - kukuk@suse.de
- Don't know who modiefied the CVS version without changes entries,
  but use the current CVS version now.
* Tue Jul 10 2001 - kukuk@suse.de
- Initial version
